# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-sqlalchemy-traversal
%define fedora 19
%if 0%{?fedora} > 12 || 0%{?rhel} > 6
#%%global with_python3 1

# Manually disable this until some of the dependencies are available.  Notably,
# python3-colander and python3-pyramid are missing.  They should be available
# soonish.
%global with_python3 0

%endif

%global modname sqlalchemy_traversal

Name:               python-module-sqlalchemy-traversal
Version:            0.4.1
Release:            alt1_3
Summary:            A pyramid extension for traversal with SQLAlchemy objects
Group:              Development/Python
# License discussion
# https://github.com/eventray/sqlalchemy_traversal/issues/1
License:            MIT
URL:                http://pypi.python.org/pypi/sqlalchemy_traversal
Source0:            http://pypi.python.org/packages/source/s/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python-devel
BuildRequires:      python-module-setuptools

BuildRequires:      python-module-pyramid
BuildRequires:      python-module-SQLAlchemy
BuildRequires:      python-module-zope.interface
BuildRequires:      python-module-colander
BuildRequires:      python-module-venusian

BuildRequires:      python-module-pytest
BuildRequires:      python-module-mock
BuildRequires:      python-module-webtest
BuildRequires:      python-module-unittest2


%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-module-distribute

BuildRequires:      python3-pyramid
BuildRequires:      python3-module-SQLAlchemy
BuildRequires:      python3-module-zope.interface
BuildRequires:      python3-colander
BuildRequires:      python3-venusian

BuildRequires:      python3-module-pytest
BuildRequires:      python3-module-mock
BuildRequires:      python3-webtest

Requires:           python3-pyramid
Requires:           python3-module-SQLAlchemy
Requires:           python3-module-zope.interface
Requires:           python3-colander
Requires:           python3-venusian
%endif
Source44: import.info

%description
This is a pyramid extension that allows you to use traversal with SQLAlchemy
objects


%if 0%{?with_python3}
%package -n python3-module-sqlalchemy-traversal
Summary:            A pyramid extension for traversal with SQLAlchemy objects
Group:              Development/Python

%description -n python3-module-sqlalchemy-traversal
This is a pyramid extension that allows you to use traversal with SQLAlchemy
objects

%endif

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

# Force that a certain version of webob is imported and not the older one.
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.2b3\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif


%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py test
popd
%endif

%files
%doc
# README.md and LICENSE should be included in subsequent releases.
# https://github.com/eventray/sqlalchemy_traversal/issues/2
%{python_sitelibdir_noarch}/%{modname}/
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-module-sqlalchemy-traversal
%doc
# README.md and LICENSE should be included in subsequent releases.
# https://github.com/eventray/sqlalchemy_traversal/issues/2
%{python3_sitelibdir_noarch}/%{modname}/
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*

%endif

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_3
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_2
- initial fc import

